ADDBIB(1)

NAME
addbib - create or extend a bibliographic database

SYNOPSIS
addbib [ -a ] [ -p promptfile ] database

AVAILABILITY
addbib is available with the Text software installation option. Refer to for information on how to install optional software.

DESCRIPTION

When addbib starts up, answering y to the initial Instructions? prompt yields directions; typing n or RETURN skips them. addbib then prompts for various bibliographic fields, reads responses from the terminal, and sends output records to database. A null response (just RETURN) means to leave out that field. A `-' (minus sign) means to go back to the previous field. A trailing backslash allows a field to be continued on the next line. The repeating Continue? prompt allows the user either to resume by typing y or RETURN, to quit the current session by typing n or q, or to edit database with any system editor (vi(1), ex(1), ed(1)).

OPTIONS

-a  Suppress prompting for an abstract; asking for an abstract is the default. Abstracts are ended with a CTRL-D.

-p promptfile
    Use a new prompting skeleton, defined in promptfile. This file should contain prompt strings, a TAB, and the key-letters to be written to the database.

USAGE

  Bibliography Key Letters

The most common key-letters and their meanings are given below. addbib insulates you from these key-letters, since it gives you prompts in English, but if you edit the bibliography file later on, you will need to know this information.

    %A  Author's name

    %B  Book containing article referenced

    %C  City (place of publication)

    %D  Date of publication

    %E  Editor of book containing article referenced

    %F  Footnote number or label (supplied by refer)

    %G  Government order number

    %H  Header commentary, printed before reference

    %I  Issuer (publisher)

    %J  Journal containing article

    %K  Keywords to use in locating reference

    %L  Label field used by -k option of refer

    %M  Bell Labs Memorandum (undefined)

    %N  Number within volume

    %O  Other commentary, printed at end of reference

    %P  Page number(s)

    %Q  Corporate or Foreign Author (unreversed)

    %R  Report, paper, or thesis (unpublished)

    %S  Series title

    %T  Title of article or book

    %V  Volume number

    %X  Abstract — used by roffbib, not by refer

    %Y,Z
        Ignored by refer

EXAMPLE
Except for A, each field should be given just once. Only relevant fields should be supplied.
    %A	Mark Twain
    %T	Life on the Mississippi
    %I	Penguin Books
    %C	New York
    %D	1978

SEE ALSO
ed(1), ex(1), indxbib(1), lookbib(1), refer(1), roffbib(1), sortbib(1), vi(1)

refer in